## org.codehaus.groovy.syntax
Class TokenMismatchException

Field Summary
`int` | `expectedType`
`Token` | `unexpectedToken`

Constructor Summary
`TokenMismatchException(Token token, int expectedType)`

Method Summary
`int` | `getExpectedType()`
`Token` | `getUnexpectedToken()`

Constructor Detail

### TokenMismatchException

    public TokenMismatchException(Token token, int expectedType)

Method Detail

### getExpectedType

    public int getExpectedType()

### getUnexpectedToken

    public Token getUnexpectedToken()